Entur Developer
Products

product-tree-explanations

Server

Retrieves all explanations

GET
https://api.entur.io/products
/product-tree-explanations

Retrieves all explanations › query Parameters

nameOfClass
​string · style: form · explode: true

The nameOfClass to identify a ProductTreeExplained, i.e 'SalesPackage'

Retrieves all explanations › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from BCP-47, e.g. 'nb' or 'en'

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves all explanations › Responses

Returns the info

Schema for presenting explained messages for failed product trees
​TextInLanguage[] · required

Description of the root element represented in different languages. Language codes are ISO-639

​TextInLanguage[] · required

Description of the explained element represented in different languages. Language codes are ISO-639

​TextInLanguage[] · required

Name of the explained element represented in different languages. Language codes are ISO-639

id
​string · minLength: 1 · readOnly · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id for root component/element

Example: NSB:SalesPackage:SomeSalesPackage
​TextInLanguage[] · required

Name of the root element represented in different languages. Language codes are ISO-639

severity
​string · enum · readOnly · required

Severity of the explained event. 'error' drops the tree; 'warning' is published alongside the tree

Enum values:
error
warning
Example: error
version
​string · minLength: 1 · readOnly · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version for root component/element

Example: NSB:Version:V1
explainedElementId
​string · readOnly

The netexId of the explained element

explainedElementNameOfClass
​string · readOnly

The nameOfClass of the explained element

explainedElementVersion
​string · readOnly

The version of the explained element

​SeqExplainedMessageResponse · readOnly

Translated messages explaining the failure

nameOfClass
​string · minLength: 1 · readOnly

nameOfClass

Example: SalesPackage
originalErrorMessage
​string · readOnly

The original error message thrown

reason
​string · readOnly

Reason for failed tree

Example: invalidProductData

Retrieves explanation for netexId and version

GET
https://api.entur.io/products
/product-tree-explanations/{id}/{version}

Retrieves explanation for netexId and version › path Parameters

id
​string · required · style: simple

The netexId to identify a ProductTreeExplained

version
​string · required · style: simple

The version to identify a ProductTreeExplained

Retrieves explanation for netexId and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from BCP-47, e.g. 'nb' or 'en'

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves explanation for netexId and version › Responses

Returns the info

Schema for presenting explained messages for failed product trees
​TextInLanguage[] · required

Description of the root element represented in different languages. Language codes are ISO-639

​TextInLanguage[] · required

Description of the explained element represented in different languages. Language codes are ISO-639

​TextInLanguage[] · required

Name of the explained element represented in different languages. Language codes are ISO-639

id
​string · minLength: 1 · readOnly · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id for root component/element

Example: NSB:SalesPackage:SomeSalesPackage
​TextInLanguage[] · required

Name of the root element represented in different languages. Language codes are ISO-639

severity
​string · enum · readOnly · required

Severity of the explained event. 'error' drops the tree; 'warning' is published alongside the tree

Enum values:
error
warning
Example: error
version
​string · minLength: 1 · readOnly · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version for root component/element

Example: NSB:Version:V1
explainedElementId
​string · readOnly

The netexId of the explained element

explainedElementNameOfClass
​string · readOnly

The nameOfClass of the explained element

explainedElementVersion
​string · readOnly

The version of the explained element

​SeqExplainedMessageResponse · readOnly

Translated messages explaining the failure

nameOfClass
​string · minLength: 1 · readOnly

nameOfClass

Example: SalesPackage
originalErrorMessage
​string · readOnly

The original error message thrown

reason
​string · readOnly

Reason for failed tree

Example: invalidProductData

Did you find what you were looking for?